Description

Hi,

We've got Foreman backed by our LDAP server for authentication. Users who log in for the first time automatically get a Foreman

account. We have two roles: Administrator and RO (Read Only - may be an idea to ship by default as well?). In practice this means

that besides our three admins, all users will have to get the RO role. For that purpose it would be great if Foreman provided some

sort of option to specify a 'default role' that allows foreman to assign that particular role to all users that log in for the first time using

their LDAP account.

Fyi, currently, we have our users log in first. There they're shown that they do not have any rights. Then they have to contact an

admin, who can in turn assign the RO role to that user. Although it works, it's a little cumbersome, and I think it would for many be a

great feature to have.

Thank you for foreman and the efforts put into it.

Dolf

-- Freeaqingme

History

#1 - 11/15/2013 12:16 PM - Dominic Cleal

- Project changed from Installer to Foreman

- Category set to Authentication

#2 - 08/02/2016 03:13 AM - Marek Hulán

- Status changed from New to Feedback

- Assignee set to Marek Hulán

I think this is available today using external user groups. You'd have to create some user group in ldap for all users and map it to Foreman internal

user group through external user group mapping. The read only role is also built-in, it's called Viewer, so it should be associated with the internal user

group.

Please let us know if there's something else I missed which is not supported, I'd reopen the issue promptly.

#3 - 05/17/2017 11:38 AM - Anonymous

- Status changed from Feedback to Resolved
